#
#   Copyright © 2021,2022 IsardVDI S.L.
#
#   This file is part of DD
#
#   DD is free software: you can redistribute it and/or modify
#   it under the terms of the GNU Affero General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or (at your
#   option) any later version.
#
#   DD is distributed in the hope that it will be useful, but WITHOUT ANY
#   WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
#   FOR A PARTICULAR PURPOSE. See the GNU Affero General Public License for more
#   details.
#
#   You should have received a copy of the GNU Affero General Public License
#   along with DD. If not, see <https://www.gnu.org/licenses/>.
#
# SPDX-License-Identifier: AGPL-3.0-or-later
version: "3.7"
services:
  dd-apps-postgresql:
    image: ${POSTGRESQL_IMG-postgres:13.5-alpine3.15}
    container_name: dd-apps-postgresql
    restart: unless-stopped
    environment:
      # Postgres
      - POSTGRES_PASSWORD=${POSTGRES_PASSWORD}
      - POSTGRES_USER=${POSTGRES_USER}
      # Etherpad
      - ETHERPAD_POSTGRES_USER=${ETHERPAD_POSTGRES_USER:-etherpard}
      - ETHERPAD_POSTGRES_PASSWORD=${ETHERPAD_POSTGRES_PASSWORD}
      # Keycloak
      - KEYCLOAK_DB_DATABASE=${KEYCLOAK_DB_DATABASE:-keycloak}
      - KEYCLOAK_DB_USER=${KEYCLOAK_DB_USER:-keycloak}
      - KEYCLOAK_DB_PASSWORD=${KEYCLOAK_DB_PASSWORD}
      # Moodle
      - MOODLE_POSTGRES_USER=${MOODLE_POSTGRES_USER:-moodle}
      - MOODLE_POSTGRES_PASSWORD=${MOODLE_POSTGRES_PASSWORD}
      # Nextcloud
      - NEXTCLOUD_POSTGRES_USER=${NEXTCLOUD_POSTGRES_USER:-nextcloud}
      - NEXTCLOUD_POSTGRES_PASSWORD=${NEXTCLOUD_POSTGRES_PASSWORD}
    volumes:
      - /etc/localtime:/etc/localtime:ro
      - ${DB_FOLDER}/postgres:/var/lib/postgresql/data
      - ${BUILD_APPS_ROOT_PATH}/docker/postgresql/docker-entrypoint-initdb.d:/docker-entrypoint-initdb.d
    networks:
      - dd_net
